IS Borland Database engine backward compatible ?

Will my package work if I install a newer version of the borland database engine ?
please advise whether I can upgrade the borland database engine without it having inpact on my application.
itbabeAsked:
Who is Participating?
 
Vadim RappConnect With a Mentor Commented:
It's impossible to tell without testing it.

From the common experience, the expected impact is practically always negative, i.e. something that worked with version 1 won't work with version 2. The best is to leave your application working with the engine it was designed for. There's whole technology called "side-by-side", introduced in XP, exactly for this purpose.


0
 
Vadim RappCommented:
clarification:

"From the common experience, the expected impact is practically alwaysnegative, i.e.
something that worked with version 1 won't work withversion 2."

meaning, in the best possible scenario, the effect is zero, so there's full compatibility. So, either it works just as before, or something stops working.
0
Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.

All Courses

From novice to tech pro — start learning today.